Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02191 Sound Minor Always Sep 1, 2008, 23:27 Aug 22, 2009, 21:04
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows 2000
Status [?] Resolved Driver leland.cpp
Version 0.127u1 Fixed in Version 0.133u4 Build Normal
Summary 02191: wseries, basebal2, dblplay, strkzone: Speech quality regression
Description There has been a speech quality regression for these games - most noticeable when coining up. If you use version 0.122, you'll hear the speech is very clear.
In 0.123, however, the speech has some artifact/scratchiness and is not so clear.
Steps To Reproduce
Additional Information The fix in 0.127u5 mostly fixed this issue. There is still a small issue with quality.
Flags
Regression Version 0.122u8, 0.127u5
Affected Sets / Systems  wseries, basebal2, dblplay, strkzone
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.02670
Tafoid
Administrator
Oct 3, 2008, 04:11
The speech seems improved, but still doesn't match the quality of the pre-regression output (0.122u7 and before). Should I reopen this?
User avatar
No.04814
Tafoid
Administrator
Aug 15, 2009, 14:57
I've decided to reopen this bug. The fix that was generated for the initial regression doesn't fully fix the sound. There is still some issue with it and doesn't match the clarity of the earlier (0.122u7 or earlier) versions.
User avatar
No.04841
couriersud
Developer
Aug 22, 2009, 21:04
Dac control register is not reset by hardware. Fixed handling of leland_dac_control.